Taifa Identity. Docs
OpenAPI Developers

API reference

Personal capabilities

Management API contract View .md

14 management API operations for Personal capabilities.

POST/v1/projects/{project_id}/launch-proposals

Launch

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredLaunchCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
launch_urlstringYesValidation: max length 2048

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/projects/{project_id}/launch-proposals

Launch Proposals

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/projects/{project_id}/launch-proposals/{proposal_id}/approve

Approve Launch

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
project_idpathstringYes
proposal_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__personal_capabilities__Reason

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/me/apps

Apps

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

GET/v1/me/access-requests

Requests

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

POST/v1/me/access-requests

Request

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
idempotency-keyheaderstringYes

Request body

application/jsonRequiredRequestCreate

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500
institution_idstringYes
project_idstringYes

Responses

201Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/institutions/{institution_id}/access-requests

Queue

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/access-requests/{request_id}/endorse

Endorse

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__personal_capabilities__Reason

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

POST/v1/institutions/{institution_id}/access-requests/{request_id}/approve

Approve Request

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
institution_idpathstringYes
request_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__personal_capabilities__Reason

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

GET/v1/me/provider-account

Provider Account

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

GET/v1/me/authentication-activity

Authentication Activity

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

GET/v1/me/security-activity

Activity

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

GET/v1/me/consents

Consents

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

No path or query parameters declared.

Request body

This operation has no request body.

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

POST/v1/me/consents/{client_id}/revoke

Revoke Consent

Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.

Parameters

NameInTypeRequiredDescription
client_idpathstringYes
idempotency-keyheaderstringYes

Request body

application/jsonRequiredidentity__personal_capabilities__Reason

FieldTypeRequiredDescription
reasonstringYesValidation: min length 8; max length 500

Responses

200Successful Response

Content type: application/jsonUnspecified response schema

No fields declared in the current specification.

Other responses

StatusDescriptionSchema
422Validation ErrorHTTPValidationError

Popular

Browse by section